/* https://www.w3schools.com/csS/css_navbar_horizontal.asp */

/* Base reset */
* {
  margin: 0;
  padding: 0;
}

.navbar {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #000;
  height: 2rem;
}

.navbar ul {
  list-style: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.navbar li {
  font-size: 1.65rem;
  display: inline;
  padding: 10px;
}

.navbar li:hover {
  background-color: grey;
}

.navbar a {
  text-decoration: none;
  color: cyan;
}

main p {
  font-size: 150%;
}

@media (max-width: 600px) {
  :root {
    font-size: 0.5rem;
  }
}

.welcome-section {
  margin-top: 2rem;
  height: 100vh;
  width: 100%;
  background: url('https://get.pxhere.com/photo/notebook-computer-macbook-writing-technology-gadget-coding-developer-programming-brand-programmer-design-software-development-code-developing-personal-computer-personal-computer-hardware-913320.jpg') no-repeat;
  background-size: cover;
  overflow: hidden;
}

.illuminated {
  display: flex;
  align-items: end;
  justify-content: center;
  padding-top: 25vh;
}

.illuminated img {
  width: 5rem;
  height: 5rem;
}


h1 {
  font-size: 3rem;
  font-family: 'Vujahday Script', monospace;
}

.welcome-description {
  text-align: center;
  margin-left: 10%;
  margin-right: 10%;
  padding-top: 10vh;
  color: white;
}

@media (max-height: 500px) {
  .welcome-description {
    font-size: 125%;
    padding-top: 8vh;
  }
}

.small {
  text-align: center;
  font-size: 50%;
  padding-top: 10vh;
}

.projects {
  background-color: white;
  padding: 2rem 1rem;
}

.projects > h1 {
  text-align: center;
}

.projects-description {
  text-align: center;
  padding: 2rem;
  margin-left: 20%;
  margin-right: 20%;
  font-size: 100%;
}

.all-tiles {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.project-tile {
  background-color: #333;
  width: 19rem;
  height: 23rem;
  padding: 0rem;
  margin: 1rem;
  border: 4px solid black;
  border-radius: 5px;
  box-shadow: 5px 10px 20px rgba(0,0,0,0.75);
}

.project-tile:hover {
  opacity: 75%;
}

.tile-image {
  max-width: 350px;
  max-height: 350px;
  width: 19rem;
  height: 20rem;
  object-fit: cover;
  object-position: 50% 0;/* centered horizontal and show top vertical*/
  border: 1px solid black;
}

.caption {
  font-size: 100%;
  color: white;
  text-align: center;
  margin-top: 0.6rem;
}

footer {
  width: 100%;
  background-color: #333;
background: linear-gradient(0,#333 50%,#223);
  padding: 1rem 0;
}

.brand > p {
  text-align: center;
}

.brand > a {
  display: block;
  margin: auto;  /* for centering the block  */
  text-align: center;  /* for centering the text within the block */
  text-decoration: none;
  padding-top: 1rem;
  color: grey;
  text-shadow: 1px 1px 1px purple;
  transition: all .2s ease-in-out;
  text-shadow: 1px 1px 1px purple;
  width: 28vw;
  max-width: 150px;
}

.brand > a:hover {
  color: cyan;
  transform: scale(1.1);
}
